<template>
  <div>
    <PostComponent
      v-for="post of posts"
      :key="posts.indexOf(post)"
      :post="post"
    />
  <div class="bottom-spacing"></div>
  </div>
</template>

<script>
export default {
  data(){
    return {
      posts: []
    }
  },
  async asyncData({app, $services, $links}){
    console.log("AsyncData called")
    var i18n = app.i18n

    return {
          posts: [
        {
          thread: false,
          header: {
            text: i18n.t("Interfaces"),
            avatar: require("~/assets/images/home-page/avatar-cursor.svg"),
          },
          layers: [
            {
              type: "text",
              text: [i18n.t("The community has developed a variety of desktop and mobile interfaces so that you can interact with the THORChain protocol with ease.")],
            },
          ],
          endLine: true,
        },
        {
          thread: false,
          small: false,
          header: {
            avatar: require("~/assets/images/interfaces-view/avatar-thorswap.svg"),
          },
          layers: [
            {
              type: "image",
              image: require("~/assets/images/interfaces-view/thorswap-card.svg"),
            },
            {type: 'table-links', links: [
                {text: i18n.t("THORSwap")},
                {text: i18n.t("Web App"), link: $links('interfaces_thorswap_web_app')},
                {text: i18n.t("TestNet Web App"), link: $links('interfaces_thorswap_testnet_web_app')},
                {text: i18n.t("StageNet Web App"), link: $links('interfaces_thorswap_stagenet_web_app')},
                {text: i18n.t("Desktop App"), link: $links('interfaces_thorswap_desktop_app')},
                {text: i18n.t("Twitter"), link: $links('interfaces_thorswap_twitter')},
                {text: i18n.t("Discord"), link: $links('interfaces_thorswap_discord')},
                {text: i18n.t("Blog"), link: $links('interfaces_thorswap_blog')}
              ]},
            {type: 'table', table:{
                  style: "text-align: center",
                  rows: [
                   {
                      cols: [
                        {content: "Liquidity", style: 'text-align: left'},
                        {content: "THORChain Protocol / 1inch", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Environment", style: 'text-align: left'},
                        {content: "Web Desktop / Web Mobile / Desktop App", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Non-Custodial", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Native Swaps", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Native Pooling", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Synthetics", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Keystore", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "TrustWallet", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "XDEFI", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "MetaMask", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Ledger", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Trezor", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "KeepKey", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "THORName Service", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Token", style: 'text-align: left'},
                        {content: "THOR", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Open-source", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    }
                  ]}
                }
          ],
          endLine: true,
        },
        {
          thread: false,
          small: false,
          header: {
            avatar: require("~/assets/images/interfaces-view/avatar-asgardex.svg"),
          },
          layers: [
            {
              type: "image",
              image: require("~/assets/images/interfaces-view/asgardex-card.svg"),
            },
            {type: 'table-links', links: [
                {text: i18n.t("ASGARDEX")},
                {text: i18n.t("Desktop App"), link: $links('interfaces_asgardex_desktop_app')},
                {text: i18n.t("Twitter"), link: $links('interfaces_asgardex_twitter')},
                {text: i18n.t("Discord"), link: $links('interfaces_asgardex_discord')},
                {text: i18n.t("Github"), link: $links('interfaces_asgardex_github')}
              ]},
            {type: 'table', table:{
                  style: "text-align: center",
                  rows: [
                   {
                      cols: [
                        {content: "Liquidity", style: 'text-align: left'},
                        {content: "THORChain Protocol", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Environment", style: 'text-align: left'},
                        {content: "Desktop App", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Non-Custodial", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Native Swaps", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Native Pooling", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Synthetics", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Keystore", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "TrustWallet", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "XDEFI", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "MetaMask", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Ledger", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Trezor", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "KeepKey", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "THORName Service", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Token", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Open-source", style: 'text-align: left'},
                        {content: "✅ ", style: ''}
                      ]
                    }
                  ]}
                }
          ],
          endLine: true,
        },
        {
          thread: false,
          small: false,
          header: {
            avatar: require("~/assets/images/interfaces-view/avatar-skip.svg"),
          },
          layers: [
            {
              type: "image",
              image: require("~/assets/images/interfaces-view/skip-card.svg"),
            },
            {type: 'table-links', links: [
              {text: i18n.t("SKIP")},
              {text: i18n.t("Web App"), link: $links('interfaces_skip_web_app')},
              {text: i18n.t("TestNet Web App"), link: $links('interfaces_skip_testnet_web_app')},
              {text: i18n.t("Twitter"), link: $links('interfaces_skip_twitter')},
              {text: i18n.t("Telegram"), link: $links('interfaces_skip_telegram')},
              {text: i18n.t("Discord"), link: $links('interfaces_skip_discord')},
              {text: i18n.t("Github"), link: $links('interfaces_skip_github')}
            ]},
            {type: 'table', table:{
                  style: "text-align: center",
                  rows: [
                   {
                      cols: [
                        {content: "Liquidity", style: 'text-align: left'},
                        {content: "THORChain Protocol", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Environment", style: 'text-align: left'},
                        {content: "Web Desktop / Mobile", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Non-Custodial", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Native Swaps", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Native Pooling", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Synthetics", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Keystore", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "TrustWallet", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "XDEFI", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "MetaMask", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Ledger", style: 'text-align: left'},
                        {content: "Soon", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Trezor", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "KeepKey", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "THORName Service", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Token", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Open-source", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    }
                  ]}
                }
          ],
          endLine: true,
        },
        {
          thread: false,
          small: false,
          header: {
            avatar: require("~/assets/images/interfaces-view/avatar-brokkr.svg"),
          },
          layers: [
            {
              type: "image",
              image: require("~/assets/images/interfaces-view/brokkr-card.svg"),
            },
            {type: 'table-links', links: [
                {text: i18n.t("Brokkr")},
                {text: i18n.t("Web App"), link: $links('interfaces_brokkr_web_app')},
                {text: i18n.t("Twitter"), link: $links('interfaces_brokkr_twitter')},
                {text: i18n.t("Telegram"), link: $links('interfaces_brokkr_telegram')}
              ]},
            {type: 'table', table:{
                  style: "text-align: center",
                  rows: [
                   {
                      cols: [
                        {content: "Liquidity", style: 'text-align: left'},
                        {content: "THORChain Protocol", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Environment", style: 'text-align: left'},
                        {content: "Web Desktop", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Non-Custodial", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Native Swaps", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Native Pooling", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Synthetics", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Keystore", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "TrustWallet", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "XDEFI", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "MetaMask", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Ledger", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Trezor", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "KeepKey", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "THORName Service", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Token", style: 'text-align: left'},
                        {content: "BRO (soon)", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Open-source", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    }
                  ]}
                }
          ],
          endLine: true,
        },
        {
          thread: false,
          small: false,
          header: {
            avatar: require("~/assets/images/interfaces-view/avatar-shapeshift.svg"),
          },
          layers: [
            {
              type: "image",
              image: require("~/assets/images/interfaces-view/shapeshift-card.svg"),
            },
            {type: 'table-links', links: [
                {text: i18n.t("ShapeShift")},
                {text: i18n.t("Mobile App"), link: $links('interfaces_shapeshift_mobile_app')},
                {text: i18n.t("Desktop Web App"), link: $links('interfaces_shapeshift_web_app')},
                {text: i18n.t("Twitter"), link: $links('interfaces_shapeshift_twitter')},
                {text: i18n.t("Discord"), link: $links('interfaces_shapeshift_discord')}
              ]},
            {type: 'table', table:{
                  style: "text-align: center",
                  rows: [
                   {
                      cols: [
                        {content: "Liquidity", style: 'text-align: left'},
                        {content: "THORChain Protocol", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Environment", style: 'text-align: left'},
                        {content: "iOS / Android / Web Desktop", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Non-Custodial", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Native Swaps", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Native Pooling", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Synthetics", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Keystore", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "TrustWallet", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "XDEFI", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "MetaMask", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Ledger", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Trezor", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "KeepKey", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "THORName Service", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Token", style: 'text-align: left'},
                        {content: "FOX", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Open-source", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    }
                  ]}
                }
          ],
          endLine: true,
        },
        {
          thread: false,
          small: false,
          header: {
            avatar: require("~/assets/images/interfaces-view/avatar-thorwallet.svg"),
          },
          layers: [
            {
              type: "image",
              image: require("~/assets/images/interfaces-view/thorwallet-card.svg"),
            },
            {type: 'table-links', links: [
                {text: i18n.t("THORWallet")},
                {text: i18n.t("Website"), link: $links('interfaces_thorwallet_website')},
                {text: i18n.t("Web App"), link: $links('interfaces_thorwallet_web_app')},
                {text: i18n.t("Whitepaper"), link: $links('interfaces_thorwallet_whitepaper')},
                {text: i18n.t("Twitter"), link: $links('interfaces_thorwallet_twitter')},
                {text: i18n.t("Telegram"), link: $links('interfaces_thorwallet_telegram')},
                {text: i18n.t("Blog"), link: $links('interfaces_thorwallet_blog')},
                {text: i18n.t("Github"), link: $links('interfaces_thorwallet_github')}
              ]},
            {type: 'table', table:{
                  style: "text-align: center",
                  rows: [
                   {
                      cols: [
                        {content: "Liquidity", style: 'text-align: left'},
                        {content: "THORChain Protocol", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Environment", style: 'text-align: left'},
                        {content: "iOS / Android / Web", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Non-Custodial", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Native Swaps", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Native Pooling", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Synthetics", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Keystore", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "TrustWallet", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "XDEFI", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "MetaMask", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Ledger", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Trezor", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "KeepKey", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "THORName Service", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Token", style: 'text-align: left'},
                        {content: "TGT", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Open-source", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    }
                  ]}
                }
          ],
          endLine: true,
        },
        {
          thread: false,
          small: false,
          header: {
            avatar: require("~/assets/images/interfaces-view/avatar-defispot.svg"),
          },
          layers: [
            {
              type: "image",
              image: require("~/assets/images/interfaces-view/defispot-card.svg"),
            },
            {type: 'table-links', links: [
                {text: i18n.t("DefiSpot")},
                {text: i18n.t("Web App"), link: $links('interfaces_defispot_web_app')},
                {text: i18n.t("Twitter"), link: $links('interfaces_defispot_twitter')},
                {text: i18n.t("Telegram"), link: $links('interfaces_defispot_telegram')},
                {text: i18n.t("Discord"), link: $links('interfaces_defispot_discord')},
              ]},
            {type: 'table', table:{
                  style: "text-align: center",
                  rows: [
                   {
                      cols: [
                        {content: "Liquidity", style: 'text-align: left'},
                        {content: "THORChain Protocol", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Environment", style: 'text-align: left'},
                        {content: "Web App", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Non-Custodial", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Native Swaps", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Native Pooling", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Synthetics", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Keystore", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "TrustWallet", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "XDEFI", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "MetaMask", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Ledger", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Trezor", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "KeepKey", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "THORName Service", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Token", style: 'text-align: left'},
                        {content: "SPOT (soon)", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Open-source", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    }
                  ]}
                }
          ],
          endLine: true,
        },
        {
          thread: false,
          small: false,
          header: {
            avatar: require("~/assets/images/interfaces-view/avatar-ferz.svg"),
          },
          layers: [
            {
              type: "image",
              image: require("~/assets/images/interfaces-view/ferz-card.svg"),
            },
            {type: 'table-links', links: [
                {text: i18n.t("Ferz Wallet")},
                {text: i18n.t("Mobile App"), link: $links('interfaces_ferz_web_app')},
                {text: i18n.t("Twitter"), link: $links('interfaces_ferz_twitter')},
                {text: i18n.t("Telegram"), link: $links('interfaces_ferz_telegram')},
                {text: i18n.t("Chrome Extension"), link: $links('interfaces_ferz_chrome_ext')},
              ]},
            {type: 'table', table:{
                  style: "text-align: center",
                  rows: [
                   {
                      cols: [
                        {content: "Liquidity", style: 'text-align: left'},
                        {content: "THORChain Protocol", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Environment", style: 'text-align: left'},
                        {content: "iOS / Android / Web", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Non-Custodial", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Native Swaps", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Native Pooling", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Synthetics", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Keystore", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "TrustWallet", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "XDEFI", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "MetaMask", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Ledger", style: 'text-align: left'},
                        {content: "Developing", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Trezor", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "KeepKey", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "THORName Service", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Token", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Open-source", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    }
                  ]}
                }
          ],
          endLine: true,
        },
        {
          thread: false,
          small: false,
          header: {
            avatar: require("~/assets/images/interfaces-view/avatar-rango.svg"),
          },
          layers: [
            {
              type: "image",
              image: require("~/assets/images/interfaces-view/rango-card.svg"),
            },
            {type: 'table-links', links: [
                {text: i18n.t("Rango Exchange")},
                {text: i18n.t("Website"), link: $links('interfaces_rangoexchange_website')},
                {text: i18n.t("Twitter"), link: $links('interfaces_rangoexchange_twitter')},
                {text: i18n.t("Telegram"), link: $links('interfaces_rangoexchange_telegram')},
                {text: i18n.t("Blog"), link: $links('interfaces_rangoexchange_blog')}
              ]},
            {type: 'table', table:{
                  style: "text-align: center",
                  rows: [
                   {
                      cols: [
                        {content: "Liquidity", style: 'text-align: left'},
                        {content: "THORChain Protocol and many others (aggregator)", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Environment", style: 'text-align: left'},
                        {content: "Web Desktop / Mobile", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Non-Custodial", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Native Swaps", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Native Pooling", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Synthetics", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Keystore", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "TrustWallet", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "XDEFI", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "MetaMask", style: 'text-align: left'},
                        {content: "✅", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Ledger", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Trezor", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "KeepKey", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "THORName Service", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Token", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    },
                    {
                      cols: [
                        {content: "Open-source", style: 'text-align: left'},
                        {content: "❌", style: ''}
                      ]
                    }
                  ]}
                }
          ],
          endLine: true,
        },
      ]
    }
  }
}
</script>
<style>
.bottom-spacing{
  height: 5rem;
}
</style>
